Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.datasource.xa.jms
Class JmsTransactionalResource

    java.lang.Object
      com.atomikos.datasource.xa.XATransactionalResource
          com.atomikos.datasource.xa.jms.JmsTransactionalResource

All Implemented Interfaces:
  RecoverableResource, TransactionalResource

    public class JmsTransactionalResource

extends XATransactionalResource

resource implementation for JMS queues.

Field Summary

Fields inherited from class com.atomikos.datasource.xa.XATransactionalResource
`recoveryMap_, servername_, siblingmappers_, xares_, xidFact_`

Constructor Summary
`JmsTransactionalResource(String name, javax.jms.XAConnectionFactory factory)` Create a new instance.
`JmsTransactionalResource(String name, javax.jms.XAConnectionFactory qFactory, XidFactory xidFactory)` Create a new instance, but one that requires a specific Xid format.

Method Summary
`void` | `close()` Overrides default close to include closing any open connections to the JMS infrastructure.
`protected XAResource` | `refreshXAConnection()` Implements the functionality to get an XAResource handle.

Methods inherited from class com.atomikos.datasource.xa.XATransactionalResource
`acceptsAllXAResources, createXid, endRecovery, getName, getResourceTransaction, getXAResource, getXidFactory, isClosed, isSameRM, needsRefresh, printMsg, recover, recover, setAcceptAllXAResources, setRecoveryService, setXidFactory, usesWeakCompare, usesXAResource, useWeakCompare`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsTransactionalResource

    public JmsTransactionalResource(String name,
                                    javax.jms.XAConnectionFactory factory)

  Create a new instance.

  Parameters:
    `name` - The unique resource name.
    `factory` - The xa connection factory to use.

### JmsTransactionalResource

    public JmsTransactionalResource(String name,
                                    javax.jms.XAConnectionFactory qFactory,
                                    XidFactory xidFactory)

  Create a new instance, but one that requires a specific Xid format. This may be necessary for some JMS implementations that require their own format.

  Parameters:
    `name` - The unique resource name.
    `qFactory` - The queue connection factory.
    `xidFactory` - The factory for Xid instances.

Method Detail

### refreshXAConnection

    protected XAResource refreshXAConnection()
                                      throws ResourceException

  Implements the functionality to get an XAResource handle.

  Specified by:
    `refreshXAConnection` in class `XATransactionalResource`
  Returns:
    XAResource The XAResource instance.
  Throws:
    `ResourceException` - On failure.

### close

    public void close()
               throws ResourceException

  Overrides default close to include closing any open connections to the JMS infrastructure.

  Specified by:
    `close` in interface `RecoverableResource`
  Overrides:
    `close` in class `XATransactionalResource`
  Throws:
    `ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.